Aryana Sphere

Aryana Sphere

sketchfab

import rhinoscriptsyntax as rs import random objectsToDel = rs.AllObjects(True) rs.DeleteObjects(objectsToDel) pointsCreated = [] spheresAdded = [] for x in range(0, 100, 20): for y in range(0, 100, 20): zVal = random.randint(0, 20) point = rs.AddPoint(x, y, zVal) sphere = rs.AddSphere(point, zVal) spheresAdded.append(sphere) pointsCreated.append(point) unitedMass = rs.BooleanUnion(spheresAdded) for mass in unitedMass: materialAssigned = rs.AddMaterialToObject(mass) rs.MaterialColor(materialAssigned, (12, 59, 101)) rs.ZoomExtents() rs.CreatePreviewImage("Aryana.jpg")

Download Model from sketchfab

With this file you will be able to print Aryana Sphere with your 3D printer. Click on the button and save the file on your computer to work, edit or customize your design. You can also find more 3D designs for printers on Aryana Sphere.